## org.omg.PortableServer.POAPackage
Class NoServantHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.POAPackage.NoServantHelper

public class NoServantHelper
extends java.lang.Object

Helper class for : NoServant

Author:
  OpenORB Compiler

Constructor Summary
`NoServantHelper()`

Method Summary
`static NoServant` `extract(Any a)` Extract NoServant from an any
`static java.lang.String` `id()` Return the NoServant IDL ID
`static void` `insert(Any a, NoServant t)` Insert NoServant into an any
`static NoServant` `read(InputStream istream)` Read NoServant from a marshalled stream
`static TypeCode` `type()` Return the NoServant TypeCode
`static void` `write(OutputStream ostream, NoServant value)` Write NoServant into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoServantHelper

    public NoServantHelper()

Method Detail

### insert

    public static void insert(Any a,
                              NoServant t)

  Insert NoServant into an any
  Parameters:
    `a` - an any
    `t` - NoServant value

### extract

    public static NoServant extract(Any a)

  Extract NoServant from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted NoServant value

### type

    public static TypeCode type()

  Return the NoServant TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the NoServant IDL ID
  Returns:
    an ID

### read

    public static NoServant read(InputStream istream)

  Read NoServant from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed NoServant value

### write

    public static void write(OutputStream ostream,
                             NoServant value)

  Write NoServant into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - NoServant value